Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
analyses
/
{project_id}
/
search
/
collects
/
brands
Collected Brand Data
curl --request GET \
  --url https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{project_id}/search/collects/brands \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{project_id}/search/collects/brands"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{project_id}/search/collects/brands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "collect_id": "<string>",
      "source": "<string>",
      "keyword_id": "<string>",
      "rank": 123,
      "brand": "<string>",
      "collected_at": "2023-11-07T05:31:56Z",
      "text": "<string>",
      "citation_urls": [
        "<string>"
      ],
      "competitor_type": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "page_size": 123,
    "total": 123
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string
required
workspace_id
string
required
project_id
string
required

Query Parameters

competitor_types
enum<string>[] | null
Available options:
BRANDED_WEBSITE,
COMMUNITY_HELP_CENTER,
COMPARISON_SITE,
GOVERNMENT_ACADEMIC,
INFLUENCER_CREATOR_BLOG,
NEWS_MEDIA,
PRODUCT_REVIEW_SITE,
QA_FORUM,
RETAIL_ECOMMERCE,
SPECIALIST_BLOG,
WIKI_ENCYCLOPEDIA,
UNKNOWN
page
integer
default:1
Required range: x >= 1
page_size
integer
default:20
Required range: 1 <= x <= 100
date_start
string<date>
required

Start of the date range (YYYY-MM-DD)

date_end
string<date> | null

End of the date range (YYYY-MM-DD). Defaults to end of period containing date_start.

period
enum<string>
default:week

Aggregation period: day, week, month, or year

Available options:
day,
week,
month,
year
sources
enum<string>[] | null
Available options:
Bing,
BingAIO,
ChatGPT,
Perplexity,
Google,
GoogleAIO,
GoogleAIMode,
Claude,
Gemini,
AmazonRufus
thematics
string<uuid>[] | null

Filter by a list of thematic IDs

keyword_type
enum<string>[] | null

Filter by a list of keyword types

Available options:
Generic,
Brand
funnel_stages
enum<string>[] | null

Filter by a list of Funnel Stages

Available options:
ToFu,
MoFu,
BoFu
persona_ids
string[] | null

Filter by a list of persona IDs

topic_ids
string[] | null

Filter by a list of topic IDs

get_neutrals
boolean | null

Filter by to get results related to neutral prompts, without weakness or strength

strength_ids
string[] | null

Filter by a list of strength IDs

weakness_ids
string[] | null

Filter by a list of weakness IDs

Response

Successful Response

data
CollectedBrandItemResponse · object[]
required

Items for the current page.

pagination
Pagination · object
required

Pagination metadata.